# Generated by Django 4.0.3 on 2023-11-20 14:02

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ProjectAPP', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AllCollaborationFields',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('punkt2_1', models.CharField(max_length=30)),
            ],
        ),
        migrations.RemoveField(
            model_name='projectphase',
            name='milestones',
        ),
        migrations.AddField(
            model_name='projectphase',
            name='CODE_name',
            field=models.CharField(default='NONE', max_length=30),
        ),
        migrations.AddField(
            model_name='projectphase',
            name='GUI_name',
            field=models.CharField(default='NONE', max_length=30),
        ),
        migrations.AddField(
            model_name='projectstep',
            name='CODE_name',
            field=models.CharField(default='NONE', max_length=30),
        ),
        migrations.AddField(
            model_name='projectstep',
            name='GUI_name',
            field=models.CharField(default='NONE', max_length=30),
        ),
        migrations.AlterField(
            model_name='projectphase',
            name='description',
            field=models.TextField(default='NONE'),
        ),
        migrations.AlterField(
            model_name='projectphase',
            name='name',
            field=models.CharField(default='NONE', max_length=30),
        ),
        migrations.AlterField(
            model_name='projectstep',
            name='name',
            field=models.CharField(default='NONE', max_length=30),
        ),
        migrations.CreateModel(
            name='UserTextCommunicationBox',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text_field_2_1', models.CharField(default='Fill in some information', max_length=1000)),
                ('text_field_2_2', models.CharField(default='None', max_length=1000)),
                ('text_field_2_3', models.CharField(default='None', max_length=1000)),
                ('text_field_2_4', models.CharField(default='None', max_length=1000)),
                ('text_field_2_5', models.CharField(default='None', max_length=1000)),
                ('text_field_2_6', models.CharField(default='None', max_length=1000)),
                ('text_field_2_7', models.CharField(default='None', max_length=1000)),
                ('text_field_2_8', models.CharField(default='None', max_length=1000)),
                ('text_field_2_9', models.CharField(default='None', max_length=1000)),
                ('text_field_3_1', models.CharField(default='None', max_length=1000)),
                ('text_field_3_2', models.CharField(default='None', max_length=1000)),
                ('text_field_3_3', models.CharField(default='None', max_length=1000)),
                ('text_field_3_4', models.CharField(default='None', max_length=1000)),
                ('text_field_3_5', models.CharField(default='None', max_length=1000)),
                ('text_field_3_6', models.CharField(default='None', max_length=1000)),
                ('text_field_3_7', models.CharField(default='None', max_length=1000)),
                ('text_field_4_1', models.CharField(default='None', max_length=1000)),
                ('text_field_4_2', models.CharField(default='None', max_length=1000)),
                ('text_field_4_3', models.CharField(default='None', max_length=1000)),
                ('text_field_5_1', models.CharField(default='None', max_length=1000)),
                ('text_field_5_2', models.CharField(default='None', max_length=1000)),
                ('project', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.project')),
            ],
        ),
    ]
